Cyberduck Mountain Duck CLI

#288 closed defect (fixed)

Cannot see any files when connecting to a Collaba FTP server

Reported by: SYPECom Inc. Owned by: dkocher
Priority: highest Milestone: 2.6
Component: ftp Version: 2.5.5
Severity: blocker Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

When connecting to a Collaba server over FTP with Cyberduck 2.5.5, no files or folders are listed in the window, although the FTP server does send a list of folders that Cyberduck receives (confirmed by observing the Console in INFO logging mode. Using default config, except the "LIST -a" option turned OFF because the server apparently does not support that option. No path entered in the Path field during tests. Connecting in Passive or Active mode both fail.

Here is a transcript of a typical test that fails:

10626 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - USER test
10629 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - 331 User name OK, need password
10629 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - PASS ********
10743 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - 230 User logged in
10744 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - SYST
10745 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - 215 UNIX Type: L8
10784 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - NOOP
10785 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - 200 Command OK
10785 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - PWD
10787 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - 257 "/"
10823 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - NOOP
10824 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - 200 Command OK
10824 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - CWD /
10826 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - 250 CWD OK. "/" is current directory
10826 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - PASV
10827 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - 227 Entering Passive Mode (127,0,0,1,197,188)
10829 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - LIST
10845 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - 150 File status OK, about to open data connection
10848 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - drw-rw-rw-   1 ftp      ftp             0  Mar 11 20:56 127.0.0.1x
10849 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - drw-rw-rw-   1 ftp      ftp             0  Mar 11 20:56 ADMIN_Documentation
10849 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - drw-rw-rw-   1 ftp      ftp             0  Mar 11 20:56 ADMIN_Interfaces
10849 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - drw-rw-rw-   1 ftp      ftp             0  Mar 11 20:56 ADMIN_Scripts
10849 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - drw-rw-rw-   1 ftp      ftp             0  Mar 11 20:56 ADMIN_Web
10849 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - drw-rw-rw-   1 ftp      ftp             0  Mar 11 20:56 Groups
10849 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - drw-rw-rw-   1 ftp      ftp             0  Mar 11 20:56 My web page
10849 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - drw-rw-rw-   1 ftp      ftp             0  Mar 11 20:56 Personal
10849 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - drw-rw-rw-   1 ftp      ftp             0  Mar 11 20:56 Test
10849 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - drw-rw-rw-   1 ftp      ftp             0  Mar 11 20:56 TestCollaba
10849 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - drw-rw-rw-   1 ftp      ftp             0  Mar 11 20:56 TestCSSH
10850 [<ch/cyberduck/core/ftp/FTPSession: 0x13b23080>] INFO ch.cyberduck.core.Session  - 226 Closing data connection (success)

And at that point, Cyberduck says it's "Idle" displaying "0 files" in "/". Using the Refresh button does not help.

Change History (5)

comment:1 Changed on Mar 21, 2006 at 10:17:54 AM by dkocher

  • Description modified (diff)

comment:2 Changed on Mar 21, 2006 at 10:26:51 AM by dkocher

  • Milestone set to 2.6
  • Status changed from new to assigned

comment:3 Changed on Mar 21, 2006 at 10:34:44 AM by dkocher

Please get in touch with me so I can send you a custom build which should resolve the issue.

comment:4 Changed on Mar 22, 2006 at 10:42:21 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:5 Changed on Mar 25, 2006 at 8:46:01 PM by dkocher

  • Milestone changed from 2.6 to 2.5.6
Note: See TracTickets for help on using tickets.
swiss made software